Merge lp:~noskcaj/vte/ubuntu into lp:~ubuntu-desktop/vte/ubuntu-vte2.91

Proposed by Jackson Doak on 2016-02-06
Status: Merged
Merge reported by: Tim Lunn
Merged at revision: not available
Proposed branch: lp:~noskcaj/vte/ubuntu
Merge into: lp:~ubuntu-desktop/vte/ubuntu-vte2.91
Diff against target: 234 lines (+79/-16)
9 files modified
debian/changelog (+47/-0)
debian/compat (+1/-1)
debian/control (+8/-3)
debian/control.in (+7/-2)
debian/gir1.2-vte-2.91.install (+1/-1)
debian/libvte-2.91-0.install (+1/-1)
debian/libvte-2.91-0.lintian-overrides (+0/-2)
debian/libvte-2.91-dev.install (+3/-3)
debian/rules (+11/-3)
To merge this branch: bzr merge lp:~noskcaj/vte/ubuntu
Reviewer Review Type Date Requested Status
Tim Lunn 2016-02-06 Needs Fixing on 2016-02-12
Review via email: mp+285283@code.launchpad.net

Description of the change

Merge bugfix release from debian

To post a comment you must log in.
Tim Lunn (darkxst) wrote :

latest debian is now 0.42.4-1, can you update merge to that version

review: Needs Fixing
lp:~noskcaj/vte/ubuntu updated on 2016-02-12
121. By Jackson Doak on 2016-02-12

New upstream release.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
=== modified file 'debian/changelog'
--- debian/changelog 2016-01-04 09:09:44 +0000
+++ debian/changelog 2016-02-12 07:24:20 +0000
@@ -1,3 +1,49 @@
1vte2.91 (0.42.4-1ubuntu1) xenial; urgency=low
2
3 * Merge from Debian unstable. Remaining changes:
4 * debian/control:
5 - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
6 * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
7 - Keep as it is require for the Ubuntu theming
8 * debian/patches/91_keep_fds.patch:
9 - Keep file descriptors open on vte_fork_pty()
10
11 -- Jackson Doak <noskcaj@ubuntu.com> Fri, 12 Feb 2016 18:20:17 +1100
12
13vte2.91 (0.42.4-1) unstable; urgency=medium
14
15 * New upstream release.
16
17 -- Andreas Henriksson <andreas@fatal.se> Thu, 11 Feb 2016 20:25:23 +0100
18
19vte2.91 (0.42.3-1) unstable; urgency=medium
20
21 * New upstream release.
22
23 -- Andreas Henriksson <andreas@fatal.se> Wed, 03 Feb 2016 10:56:48 +0100
24
25vte2.91 (0.42.1-2ubuntu1) xenial; urgency=low
26
27 * Merge from Debian unstable (LP: #1508636). Remaining changes:
28 * debian/control:
29 - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
30 * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
31 - Keep as it is require for the Ubuntu theming
32 * debian/patches/91_keep_fds.patch:
33 - Keep file descriptors open on vte_fork_pty()
34
35 -- Jackson Doak <noskcaj@ubuntu.com> Sun, 20 Dec 2015 07:10:18 +1100
36
37vte2.91 (0.42.1-2) unstable; urgency=medium
38
39 * Bump debhelper version to 9
40 * Add multi-arch support (LP: #1508636)
41 * Remove remaining bits related to gnome-pty-helper
42 * Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
43 dependencies
44
45 -- Laurent Bigonville <bigon@debian.org> Fri, 13 Nov 2015 15:26:04 +0100
46
1vte2.91 (0.42.1-1ubuntu2) xenial; urgency=medium47vte2.91 (0.42.1-1ubuntu2) xenial; urgency=medium
248
3 * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:49 * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
@@ -1683,3 +1729,4 @@
1683 * Initial Release (Closes: #153740)1729 * Initial Release (Closes: #153740)
16841730
1685 -- Christian Marillat <marillat@debian.org> Sun, 21 Jul 2002 16:30:57 +02001731 -- Christian Marillat <marillat@debian.org> Sun, 21 Jul 2002 16:30:57 +0200
1732
16861733
=== modified file 'debian/compat'
--- debian/compat 2011-05-17 10:19:47 +0000
+++ debian/compat 2016-02-12 07:24:20 +0000
@@ -1,1 +1,1 @@
1819
22
=== modified file 'debian/control'
--- debian/control 2016-01-04 09:09:44 +0000
+++ debian/control 2016-02-12 07:24:20 +0000
@@ -7,10 +7,10 @@
7Priority: optional7Priority: optional
8Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>8Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
9XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>9XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
10Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>10Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
11Standards-Version: 3.9.611Standards-Version: 3.9.6
12Build-Depends: cdbs (>= 0.4.90),12Build-Depends: cdbs (>= 0.4.93~),
13 debhelper (>= 8),13 debhelper (>= 9),
14 gnome-pkg-tools (>= 0.10),14 gnome-pkg-tools (>= 0.10),
15 dh-autoreconf,15 dh-autoreconf,
16 libglib2.0-dev (>= 2.40.0),16 libglib2.0-dev (>= 2.40.0),
@@ -35,6 +35,8 @@
35Depends: ${misc:Depends},35Depends: ${misc:Depends},
36 ${shlibs:Depends},36 ${shlibs:Depends},
37 libvte-2.91-common (= ${source:Version})37 libvte-2.91-common (= ${source:Version})
38Pre-Depends: ${misc:Pre-Depends}
39Multi-Arch: same
38Description: Terminal emulator widget for GTK+ 3.0 - runtime files40Description: Terminal emulator widget for GTK+ 3.0 - runtime files
39 The VTE library provides a terminal emulator widget VteTerminal for41 The VTE library provides a terminal emulator widget VteTerminal for
40 applications using the GTK+ toolkit. It also provides the VtePTY object42 applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -65,6 +67,7 @@
65Section: introspection67Section: introspection
66Depends: ${gir:Depends},68Depends: ${gir:Depends},
67 ${misc:Depends}69 ${misc:Depends}
70Multi-Arch: same
68Description: GObject introspection data for the VTE library71Description: GObject introspection data for the VTE library
69 This package contains introspection data for VTE, a terminal emulator72 This package contains introspection data for VTE, a terminal emulator
70 widget for GTK+.73 widget for GTK+.
@@ -86,6 +89,7 @@
86 libvte-2.91-common89 libvte-2.91-common
87Recommends: libvte-2.91-doc90Recommends: libvte-2.91-doc
88Conflicts: libvte-2.90-dev91Conflicts: libvte-2.90-dev
92Multi-Arch: same
89Description: Terminal emulator widget for GTK+ 3.0 - development files93Description: Terminal emulator widget for GTK+ 3.0 - development files
90 The VTE library provides a terminal emulator widget VteTerminal for94 The VTE library provides a terminal emulator widget VteTerminal for
91 applications using the GTK+ toolkit. It also provides the VtePTY object95 applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -99,6 +103,7 @@
99Package: libvte-2.91-common103Package: libvte-2.91-common
100Architecture: all104Architecture: all
101Depends: ${misc:Depends}105Depends: ${misc:Depends}
106Multi-Arch: foreign
102Description: Terminal emulator widget for GTK+ 3.0 - common files107Description: Terminal emulator widget for GTK+ 3.0 - common files
103 The VTE library provides a terminal emulator widget VteTerminal for108 The VTE library provides a terminal emulator widget VteTerminal for
104 applications using the GTK+ toolkit. It also provides the VtePTY object109 applications using the GTK+ toolkit. It also provides the VtePTY object
105110
=== modified file 'debian/control.in'
--- debian/control.in 2016-01-04 09:09:44 +0000
+++ debian/control.in 2016-02-12 07:24:20 +0000
@@ -5,8 +5,8 @@
5XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>5XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
6Uploaders: @GNOME_TEAM@6Uploaders: @GNOME_TEAM@
7Standards-Version: 3.9.67Standards-Version: 3.9.6
8Build-Depends: cdbs (>= 0.4.90),8Build-Depends: cdbs (>= 0.4.93~),
9 debhelper (>= 8),9 debhelper (>= 9),
10 gnome-pkg-tools (>= 0.10),10 gnome-pkg-tools (>= 0.10),
11 dh-autoreconf,11 dh-autoreconf,
12 libglib2.0-dev (>= 2.40.0),12 libglib2.0-dev (>= 2.40.0),
@@ -31,6 +31,8 @@
31Depends: ${misc:Depends},31Depends: ${misc:Depends},
32 ${shlibs:Depends},32 ${shlibs:Depends},
33 libvte-2.91-common (= ${source:Version})33 libvte-2.91-common (= ${source:Version})
34Pre-Depends: ${misc:Pre-Depends}
35Multi-Arch: same
34Description: Terminal emulator widget for GTK+ 3.0 - runtime files36Description: Terminal emulator widget for GTK+ 3.0 - runtime files
35 The VTE library provides a terminal emulator widget VteTerminal for37 The VTE library provides a terminal emulator widget VteTerminal for
36 applications using the GTK+ toolkit. It also provides the VtePTY object38 applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -61,6 +63,7 @@
61Section: introspection63Section: introspection
62Depends: ${gir:Depends},64Depends: ${gir:Depends},
63 ${misc:Depends}65 ${misc:Depends}
66Multi-Arch: same
64Description: GObject introspection data for the VTE library67Description: GObject introspection data for the VTE library
65 This package contains introspection data for VTE, a terminal emulator68 This package contains introspection data for VTE, a terminal emulator
66 widget for GTK+.69 widget for GTK+.
@@ -82,6 +85,7 @@
82 libvte-2.91-common85 libvte-2.91-common
83Recommends: libvte-2.91-doc86Recommends: libvte-2.91-doc
84Conflicts: libvte-2.90-dev87Conflicts: libvte-2.90-dev
88Multi-Arch: same
85Description: Terminal emulator widget for GTK+ 3.0 - development files89Description: Terminal emulator widget for GTK+ 3.0 - development files
86 The VTE library provides a terminal emulator widget VteTerminal for90 The VTE library provides a terminal emulator widget VteTerminal for
87 applications using the GTK+ toolkit. It also provides the VtePTY object91 applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -95,6 +99,7 @@
95Package: libvte-2.91-common99Package: libvte-2.91-common
96Architecture: all100Architecture: all
97Depends: ${misc:Depends}101Depends: ${misc:Depends}
102Multi-Arch: foreign
98Description: Terminal emulator widget for GTK+ 3.0 - common files103Description: Terminal emulator widget for GTK+ 3.0 - common files
99 The VTE library provides a terminal emulator widget VteTerminal for104 The VTE library provides a terminal emulator widget VteTerminal for
100 applications using the GTK+ toolkit. It also provides the VtePTY object105 applications using the GTK+ toolkit. It also provides the VtePTY object
101106
=== modified file 'debian/gir1.2-vte-2.91.install'
--- debian/gir1.2-vte-2.91.install 2016-01-04 09:09:44 +0000
+++ debian/gir1.2-vte-2.91.install 2016-02-12 07:24:20 +0000
@@ -1,1 +1,1 @@
1usr/lib/girepository-1.0/Vte-2.91.typelib1usr/lib/*/girepository-1.0/Vte-2.91.typelib
22
=== modified file 'debian/libvte-2.91-0.install'
--- debian/libvte-2.91-0.install 2016-01-04 09:09:44 +0000
+++ debian/libvte-2.91-0.install 2016-02-12 07:24:20 +0000
@@ -1,1 +1,1 @@
1usr/lib/libvte-2.91.so.*1usr/lib/*/libvte-2.91.so.*
22
=== removed file 'debian/libvte-2.91-0.lintian-overrides'
--- debian/libvte-2.91-0.lintian-overrides 2016-01-04 09:09:44 +0000
+++ debian/libvte-2.91-0.lintian-overrides 1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
1# Setgid on purpose to write the utmp file
2libvte-2.91-0: setgid-binary usr/lib/libvte-2.91-0/gnome-pty-helper 2755 root/utmp
30
=== modified file 'debian/libvte-2.91-dev.install'
--- debian/libvte-2.91-dev.install 2016-01-04 09:09:44 +0000
+++ debian/libvte-2.91-dev.install 2016-02-12 07:24:20 +0000
@@ -1,7 +1,7 @@
1usr/include/vte-2.911usr/include/vte-2.91
2usr/lib/pkgconfig/vte-2.91.pc2usr/lib/*/pkgconfig/vte-2.91.pc
3usr/lib/libvte-2.91.a3usr/lib/*/libvte-2.91.a
4usr/lib/libvte-2.91.so4usr/lib/*/libvte-2.91.so
5usr/share/gir-1.05usr/share/gir-1.0
6usr/share/glade6usr/share/glade
7usr/share/vala/vapi7usr/share/vala/vapi
88
=== modified file 'debian/rules'
--- debian/rules 2016-01-04 09:09:44 +0000
+++ debian/rules 2016-02-12 07:24:20 +0000
@@ -14,19 +14,27 @@
14include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk14include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
15include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk15include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
1616
17DEB_DH_AUTORECONF_ARGS = --as-needed
18
19# Ensure at build time that the library has no dependencies on undefined
20# symbols, and speed up loading.
21DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
22include /usr/share/dpkg/default.mk
23
17DEB_CONFIGURE_LIBEXECDIR := \$${prefix}/lib/$(libvte2.91N)24DEB_CONFIGURE_LIBEXECDIR := \$${prefix}/lib/$(libvte2.91N)
18DEB_FIXPERMS_EXCLUDE += gnome-pty-helper
19DEB_DH_MAKESHLIBS_ARGS_$(libvte2.91N) += --add-udeb=$(udeb) -- -c425DEB_DH_MAKESHLIBS_ARGS_$(libvte2.91N) += --add-udeb=$(udeb) -- -c4
2026
21DEB_CONFIGURE_FLAGS_main += \27DEB_CONFIGURE_FLAGS_main += \
22 --enable-gnome-pty-helper \28 --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
23 --enable-glade-catalogue \29 --enable-glade-catalogue \
24 --enable-gtk-doc \30 --enable-gtk-doc \
25 --enable-introspection \31 --enable-introspection \
26 --with-gnutls32 --with-gnutls
2733
34# FIXME: not honoured
35#DEB_CONFIGURE_EXTRA_FLAGS_main += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
36
28DEB_CONFIGURE_FLAGS_udeb += \37DEB_CONFIGURE_FLAGS_udeb += \
29 --disable-gnome-pty-helper \
30 --disable-gtk-doc \38 --disable-gtk-doc \
31 --without-gnutls39 --without-gnutls
3240

Subscribers

People subscribed via source and target branches

to all changes: